# -*- encoding: utf-8 -*-
# stub: attr_encrypted 3.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "attr_encrypted"
  s.version = "3.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Sean Huber", "S. Brent Faulkner", "William Monk", "Stephen Aghaulor"]
  s.cert_chain = ["certs/saghaulor.pem"]
  s.date = "2016-07-09"
  s.description = "Generates attr_accessors that encrypt and decrypt attributes transparently"
  s.email = ["seah@shuber.io", "sbfaulkner@gmail.com", "billy.monk@gmail.com", "saghaulor@gmail.com"]
  s.files = ["CHANGELOG.md", "Gemfile", "MIT-LICENSE", "README.md", "Rakefile", "attr_encrypted.gemspec", "certs/saghaulor.pem", "checksum/attr_encrypted-3.0.0.gem.sha256", "checksum/attr_encrypted-3.0.0.gem.sha512", "checksums.yaml.gz.sig", "data.tar.gz.sig", "lib/attr_encrypted.rb", "lib/attr_encrypted/adapters/active_record.rb", "lib/attr_encrypted/adapters/data_mapper.rb", "lib/attr_encrypted/adapters/sequel.rb", "lib/attr_encrypted/version.rb", "metadata.gz.sig", "test/active_record_test.rb", "test/attr_encrypted_test.rb", "test/compatibility_test.rb", "test/data_mapper_test.rb", "test/legacy_active_record_test.rb", "test/legacy_attr_encrypted_test.rb", "test/legacy_compatibility_test.rb", "test/legacy_data_mapper_test.rb", "test/legacy_sequel_test.rb", "test/run.sh", "test/sequel_test.rb", "test/test_helper.rb"]
  s.homepage = "http://github.com/attr-encrypted/attr_encrypted"
  s.post_install_message = "\n\n\nWARNING: Several insecure default options and features were deprecated in attr_encrypted v2.0.0.\n\nAdditionally, there was a bug in Encryptor v2.0.0 that insecurely encrypted data when using an AES-*-GCM algorithm.\n\nThis bug was fixed but introduced breaking changes between v2.x and v3.x.\n\nPlease see the README for more information regarding upgrading to attr_encrypted v3.0.0.\n\n\n"
  s.rdoc_options = ["--line-numbers", "--inline-source", "--main", "README.rdoc"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0")
  s.rubygems_version = "2.5.1"
  s.summary = "Encrypt and decrypt attributes"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<encryptor>, ["~> 3.0.0"])
      s.add_development_dependency(%q<activerecord>, [">= 2.0.0"])
      s.add_development_dependency(%q<actionpack>, [">= 2.0.0"])
      s.add_development_dependency(%q<datamapper>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, [">= 0"])
      s.add_development_dependency(%q<sequel>, [">= 0"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
      s.add_development_dependency(%q<dm-sqlite-adapter>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    else
      s.add_dependency(%q<encryptor>, ["~> 3.0.0"])
      s.add_dependency(%q<activerecord>, [">= 2.0.0"])
      s.add_dependency(%q<actionpack>, [">= 2.0.0"])
      s.add_dependency(%q<datamapper>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, [">= 0"])
      s.add_dependency(%q<sequel>, [">= 0"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
      s.add_dependency(%q<dm-sqlite-adapter>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<simplecov-rcov>, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    end
  else
    s.add_dependency(%q<encryptor>, ["~> 3.0.0"])
    s.add_dependency(%q<activerecord>, [">= 2.0.0"])
    s.add_dependency(%q<actionpack>, [">= 2.0.0"])
    s.add_dependency(%q<datamapper>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, [">= 0"])
    s.add_dependency(%q<sequel>, [">= 0"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
    s.add_dependency(%q<dm-sqlite-adapter>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<simplecov-rcov>, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
  end
end
